apiVersion: operator.tekton.dev/v1alpha1
kind: TektonConfig
metadata:
  creationTimestamp: "2024-09-23T17:38:01Z"
  finalizers:
  - tektonconfigs.operator.tekton.dev
  generation: 4
  labels:
    openshift-pipelines.tekton.dev/sa-created: "true"
    operator.tekton.dev/release-version: 1.15.1
  name: config
  resourceVersion: "1586330"
  uid: 7eda0765-f5f1-405b-96f2-8081c90649e7
spec:
  addon:
    params:
    - name: communityClusterTasks
      value: "true"
    - name: resolverTasks
      value: "true"
    - name: clusterTasks
      value: "true"
    - name: pipelineTemplates
      value: "true"
  chain:
    artifacts.oci.format: simplesigning
    artifacts.oci.signer: kms
    artifacts.oci.storage: docdb,oci
    artifacts.pipelinerun.format: slsa/v1
    artifacts.pipelinerun.signer: kms
    artifacts.pipelinerun.storage: docdb,oci
    artifacts.taskrun.format: slsa/v1
    artifacts.taskrun.signer: kms
    artifacts.taskrun.storage: docdb,oci
    controllerEnvs:
    - name: MONGO_SERVER_URL
      value: mongodb://adminuser:password123@mongo-nodeport-svc.default.svc.cluster.local:27017
    disabled: false
    options: {}
    signers.kms.auth.address: http://vaulter.default.svc.cluster.local:8200
    signers.kms.auth.token: hvs.Ys896dR3Y8D1tnOjftoKsuBO
    signers.kms.kmsref: hashivault://tekton-chains-signing
    storage.docdb.url: mongo://chainsdb/newchainscollection?id_field=name
  config: {}
  dashboard:
    options: {}
    readonly: false
  hub:
    options: {}
  params:
  - name: createRbacResource
    value: "true"
  pipeline:
    await-sidecar-readiness: true
    coschedule: workspaces
    default-service-account: pipeline
    disable-affinity-assistant: true
    disable-creds-init: false
    enable-api-fields: beta
    enable-bundles-resolver: true
    enable-cel-in-whenexpression: false
    enable-cluster-resolver: true
    enable-custom-tasks: true
    enable-git-resolver: true
    enable-hub-resolver: true
    enable-param-enum: false
    enable-provenance-in-status: true
    enable-step-actions: false
    enable-tekton-oci-bundles: false
    enforce-nonfalsifiability: none
    keep-pod-on-cancel: false
    max-result-size: 4096
    metrics.count.enable-reason: false
    metrics.pipelinerun.duration-type: histogram
    metrics.pipelinerun.level: pipeline
    metrics.taskrun.duration-type: histogram
    metrics.taskrun.level: task
    options: {}
    params:
    - name: enableMetrics
      value: "true"
    performance:
      disable-ha: false
    require-git-ssh-secret-known-hosts: false
    results-from: termination-message
    running-in-environment-with-injected-sidecars: true
    send-cloudevents-for-runs: false
    set-security-context: false
    trusted-resources-verification-no-match-policy: ignore
  platforms:
    openshift:
      pipelinesAsCode:
        enable: true
        options: {}
        settings:
          application-name: Pipelines as Code CI
          auto-configure-new-github-repo: "false"
          auto-configure-repo-namespace-template: ""
          bitbucket-cloud-additional-source-ip: ""
          bitbucket-cloud-check-source-ip: "true"
          custom-console-name: ""
          custom-console-url: ""
          custom-console-url-namespace: ""
          custom-console-url-pr-details: ""
          custom-console-url-pr-tasklog: ""
          default-max-keep-runs: "0"
          error-detection-from-container-logs: "true"
          error-detection-max-number-of-lines: "50"
          error-detection-simple-regexp: ^(?P<filename>[^:]*):(?P<line>[0-9]+):(?P<column>[0-9]+)?([
            ]*)?(?P<error>.*)
          error-log-snippet: "true"
          hub-catalog-name: tekton
          hub-url: https://api.hub.tekton.dev/v1
          max-keep-run-upper-limit: "0"
          remember-ok-to-test: "true"
          remote-tasks: "true"
          secret-auto-create: "true"
          secret-github-app-scope-extra-repos: ""
          secret-github-app-token-scoped: "true"
          tekton-dashboard-url: ""
      scc:
        default: pipelines-scc
  profile: all
  pruner:
    disabled: false
    keep: 100
    resources:
    - pipelinerun
    schedule: 0 8 * * *
  targetNamespace: openshift-pipelines
  trigger:
    default-service-account: pipeline
    enable-api-fields: stable
    options: {}
status:
  annotations:
    operator.tekton.dev/post-upgrade-version: 1.15.1
    operator.tekton.dev/pre-upgrade-version: 1.15.1
  conditions:
  - lastTransitionTime: "2024-09-23T18:01:14Z"
    status: "True"
    type: ComponentsReady
  - lastTransitionTime: "2024-09-23T17:40:27Z"
    status: "True"
    type: PostInstall
  - lastTransitionTime: "2024-09-23T17:40:30Z"
    status: "True"
    type: PostUpgrade
  - lastTransitionTime: "2024-09-23T17:45:43Z"
    status: "True"
    type: PreInstall
  - lastTransitionTime: "2024-09-23T17:38:10Z"
    status: "True"
    type: PreUpgrade
  - lastTransitionTime: "2024-09-23T18:01:14Z"
    status: "True"
    type: Ready
  tektonInstallerSets:
    rhosp-rbac: rhosp-rbac-wm74r
  version: 1.15.1
